# $Revision: 1.30 $, $Date: 2010/06/06 13:35:25 $
%include	/usr/lib/rpm/macros.perl
Summary:	A library for locking devices
Summary(pl.UTF-8):	Biblioteka do blokowania urządzeń
Name:		lockdev
Version:	1.0.3
Release:	5
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.debian.org/debian/pool/main/l/lockdev/%{name}_%{version}.orig.tar.gz
# Source0-md5:	64b9c1b87b125fc348e892e24625524a
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-baudboy.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lockdev provides a reliable way to put an exclusive lock to devices
using both FSSTND and SVr4 methods.

%description -l pl.UTF-8
lockdev udostępnia wiarygodny sposób na zakładanie wyłącznej blokady
na urządzenia przy użyciu metod zarówno FSSTND jak i SVr4.

%package devel
Summary:	The header files for the lockdev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lockdev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods. The lockdev-devel
package contains the development headers.

%description devel -l pl.UTF-8
Biblioteka lockdev udostępnia wiarygodny sposób na zakładanie
wyłącznej blokady na urządzenia przy użyciu metod zarówno FSSTND jak i
SVr4. Ten pakiet zawiera pliki nagłówkowe.

%package static
Summary:	Static lockdev library
Summary(pl.UTF-8):	Biblioteka statyczna lockdev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lockdev library.

%description static -l pl.UTF-8
Biblioteka statyczna lockdev.

%package baudboy
Summary:	lockdev utility
Summary(pl.UTF-8):	Narzędzie lockdev
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description baudboy
This package contains sgid lockdev utility used by Baudboy API.

%description baudboy -l pl.UTF-8
Ten pakiet zawiera narzędzie lockdev z ustawionym bitem sgid używane
przez API Baudboy.

%package baudboy-devel
Summary:	Baudboy interface to lockdev utility
Summary(pl.UTF-8):	Interfejs Baudboy do narzędzia lockdev
Group:		Development/Libraries

%description baudboy-devel
Baudboy interface to lockdev utility.

%description baudboy-devel -l pl.UTF-8
Interfejs Baudboy do narzędzia lockdev.

%package -n perl-LockDev
Summary:	LockDev - Perl extension to manage device lockfiles
Summary(pl.UTF-8):	LockDev - rozszerzenie Perla do zarządzania plikami blokującymi dla urządzeń
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-LockDev
The LockDev methods act on device locks normally located in /var/lock.
The lock is acquired creating a pair of files hardlinked between them
and named after the device name (as mandated by FSSTND) and the
device's major and minor numbers (as in SVr4 locks). This permits to
circumvent a problem using only the FSSTND lock method when the same
device exists under different names (for convenience or when a device
must be accessable by more than one group of users).

The lock file names are typically in the form LCK..ttyS1 and
LCK.004.065, and their content is the pid of the process who owns the
lock.

%description -n perl-LockDev -l pl.UTF-8
Metody LockDev działają na blokadach (plikach blokujących) urządzeń
normalnie położonych w /var/lock. Blokada jest uzyskiwana poprzez
utworzenie pary plików połączonych dowiązaniem zwykłym i nazwanych od
nazwy urządzenia (wg specyfikacji FSSTND) oraz liczby głównej i
pobocznej (major i minor, jak w blokadach SVr4). Pozwala to rozwiązać
problem istniejący w przypadku używania wyłącznie metody FSSTND, kiedy
to samo urządzenie istnieje pod różnymi nazwami (dla wygody lub kiedy
musi być dostępne dla więcej niż jednej grupy użytkowników).

Nazwy plików blokujących są zwykle w postaci LCK..ttyS1 i LCK.004.065,
a ich zawartość to identyfikator (PID) procesu posiadającego blokadę.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} static \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%{__make} shared lockdev \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -D_REENTRANT" \
	LCFLAGS="%{rpmldflags}"

cd LockDev
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	incdir=$RPM_BUILD_ROOT%{_includedir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

%{__make} install -C LockDev \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/LockDev/.packlist


%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblockdev.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblockdev.so
%{_mandir}/man3/lockdev.3*
%{_includedir}/lockdev.h
%{_includedir}/ttylock.h

%files static
%defattr(644,root,root,755)
%{_libdir}/liblockdev.a

%files baudboy
%defattr(644,root,root,755)
%attr(2755,root,uucp) %{_sbindir}/lockdev

%files baudboy-devel
%defattr(644,root,root,755)
%{_includedir}/baudboy.h

%files -n perl-LockDev
%defattr(644,root,root,755)
%{perl_vendorarch}/LockDev.pm
%dir %{perl_vendorarch}/auto/LockDev
%{perl_vendorarch}/auto/LockDev/LockDev.bs
%attr(755,root,root) %{perl_vendorarch}/auto/LockDev/LockDev.so
%{_mandir}/man3/LockDev.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lockdev.spec,v $
Revision 1.30  2010/06/06 13:35:25  arekm
- release 5

Revision 1.29  2009/03/14 19:48:02  hawk
- release 4

Revision 1.28  2008/02/23 22:09:27  glen
- release 3

Revision 1.27  2008-01-31 21:39:06  glen
- rel 2

Revision 1.26  2008-01-31 21:33:31  glen
- check-files cleanup

Revision 1.25  2007-12-19 00:08:28  zbyniu
- parallel build now possible

Revision 1.24  2007-12-12 16:48:19  sls
- __make -j1

Revision 1.23  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.21  2006/04/23 13:51:01  qboosh
- updated to 1.0.3

Revision 1.20  2005/12/26 17:20:26  qboosh
- updated Makefile patch to use world-compatible soname (liblockdev.so.1)
- added baudboy patch (baudboy API from FC), added -baudboy* packages
- release 3 (note: soname changed)

Revision 1.19  2005/11/28 22:35:27  glen
- prevent "comment" being body to ldconfig script; rel 2

Revision 1.18  2005/10/28 19:45:11  qboosh
- updated to 1.0.2, updated Makefile patch

Revision 1.17  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.16  2004/11/26 19:03:15  qboosh
- both ldconfigs can be -p

Revision 1.15  2004/11/26 14:21:58  paladine
- postun dep is autogenerated

Revision 1.14  2004/11/26 14:00:41  paladine
- require ldconfig also in post
- cosmetics

Revision 1.13  2004/08/09 22:54:20  havner
- rel 6

Revision 1.12  2004/06/05 17:30:49  radek
- include /usr/lib/rpm/macros.perl

Revision 1.11  2004/02/05 13:45:47  qboosh
- updated patch, changed the way of static/shared build
- added perl-LockDev package
- finished but commented out lock group stuff - not used here by anything now
- release 5

Revision 1.10  2003/12/06 09:21:40  undefine
- release 4 - fixed Makefile patch

Revision 1.9  2003/11/20 04:36:11  undefine
- change libraryname in patch

Revision 1.8  2003/11/20 02:34:29  undefine
- release 2, patch from debian

Revision 1.7  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.6  2003/06/03 19:59:07  qboosh
- fixed after some broken version of adapter

Revision 1.5  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/03 23:25:10  qboosh
- pl descriptions
- added static package
- noticed serious problems - added TODO, release down to 0.1

Revision 1.2  2003/03/03 00:15:15  undefine
- update to 1.0.1 from debian ;)

Revision 1.1  2003/03/02 23:53:41  undefine
- initial pld version stoled from rawhide
